#
#	This script is run when the NetViewInventoryProfile class is added to
#	a TME installation. The script removes any prior classes from the
#	Tivoli name registry.
#
TIPN32=`wlookup -r PatchInfo 3.2-TIPN-0001`

if [ $? -eq 0 ]; then
  CLO_B=`wlookup Library`  

  #
  # Delete all the instances of the class
  #

  CO_B=`idlcall $CLO_B TMF_SysAdmin::Library::lookup_object ''\"NetViewInventoryProfile\"' {0}'`
  members=`objcall $CO_B _get_members`
  for i in $members
  do
    idlcall -T top $i TMF_SysAdmin::PolicyDrivenBase::remove
  done

  set +e
  #
  # Remove the extra objects
  #
  wdel -I @ProfileManager:TivoliDefaultNetViewInventoryProfileMgr
  wdel -I @PolicyRegion:TivoliDefaultNetViewInventoryRegion
  wdel -I @Presentation:NetViewInventoryProfile
  set -e
  
  #
  # Remove the class object.  You could also remove the prototypes,
  # behavior and extension here if you want to be tidy.
  #
  #idlcall -T top $CO_B TMF_SysAdmin::InstanceManager::remove
  
  #
  # Clean out the name registry.
  #
  set +e
  #wregister -u -r Classes "NetViewInventoryProfile"
  wdel @Classes:NetViewInventoryProfile
  set -e

  #
  # Delete all the instances of the class
  #

  CO_C=`idlcall $CLO_B TMF_SysAdmin::Library::lookup_object ''\"NetViewInventoryEndpoint\"' {0}'`
  members=`objcall $CO_C _get_members`
  for i in $members
  do
    idlcall -T top $i TMF_SysAdmin::PolicyDrivenBase::remove
  done

  BO=`idlattr -tg $CO_C behavior Object `
  MNCO=`wlookup -r Classes ManagedNode`
  MNBO=`idlattr -tg $MNCO behavior Object` 
  objcall $MNBO oi_remove $BO
  if [ -n "$BO" -a "$BO" != "$CO_C" ];then
      objcall $BO rmobj
  fi


  #
  # Remove the class object.  You could also remove the prototypes,
  # behavior and extension here if you want to be tidy.
  #
  idlcall -T top $CO_C TMF_SysAdmin::InstanceManager::remove
  
  #
  # Clean out the name registry.
  #
  set +e
  wregister -u -r Classes "NetViewInventoryEndpoint"
  set -e
  
  #
  # Delete all the instances of the class
  #
  CO_D=`idlcall $CLO_B TMF_SysAdmin::Library::lookup_object ''\"ping\"' {0}'`
  members=`objcall $CO_D _get_members`
  for i in $members
  do
    idlcall -T top $i TMF_SysAdmin::PolicyDrivenBase::remove
  done
  #
  # Remove the class object.  You could also remove the prototypes,
  # behavior and extension here if you want to be tidy.
  #
  idlcall -T top $CO_D TMF_SysAdmin::InstanceManager::remove
  
  #
  # Clean out the name registry.
  #
  set +e
  wregister -u -r Classes "ping"
  set -e
  
  #
  # Delete all the instances of the class
  #
  CO_E=`idlcall $CLO_B TMF_SysAdmin::Library::lookup_object ''\"traceroute\"' {0}'`
  members=`objcall $CO_E _get_members`
  for i in $members
  do
    idlcall -T top $i TMF_SysAdmin::PolicyDrivenBase::remove
  done
  #
  # Remove the class object.  You could also remove the prototypes,
  # behavior and extension here if you want to be tidy.
  #
  idlcall -T top $CO_E TMF_SysAdmin::InstanceManager::remove
  
  #
  # Clean out the name registry.
  #
  set +e
  wregister -u -r Classes "traceroute"
  set -e
  
  #
  # Delete all the instances of the class
  #
  CO_F=`idlcall $CLO_B TMF_SysAdmin::Library::lookup_object ''\"netstat\"' {0}'`
  members=`objcall $CO_F _get_members`
  for i in $members
  do
    idlcall -T top $i TMF_SysAdmin::PolicyDrivenBase::remove
  done
  #
  # Remove the class object.  You could also remove the prototypes,
  # behavior and extension here if you want to be tidy.
  #
  idlcall -T top $CO_F TMF_SysAdmin::InstanceManager::remove
  
  #
  # Clean out the name registry.
  #
  set +e
  wregister -u -r Classes "netstat"
  set -e
  
  #
  # Delete all the instances of the class
  #
  CO_G=`idlcall $CLO_B TMF_SysAdmin::Library::lookup_object ''\"NetViewDatabase\"' {0}'`
  members=`objcall $CO_G _get_members`
  for i in $members
  do
    idlcall -T top $i TMF_SysAdmin::PolicyDrivenBase::remove
  done
  #
  # Remove the class object.  You could also remove the prototypes,
  # behavior and extension here if you want to be tidy.
  #
  idlcall -T top $CO_G TMF_SysAdmin::InstanceManager::remove
  
  #
  # Clean out the name registry.
  #
  set +e
  wregister -u -r Classes "NetViewDatabase"
  set -e

  # remove NetView binary files

  if [ "$INTERP" != "w32-ix86" ] ; then
    NV_DRIVE=""
  fi

  if [ -d $NVDRIVE/usr/OV ] ; then

    # remove NetView configuration files
    rm -f $NVDRIVE/usr/OV/registration/C/tivoli/TivoliInventory.reg


  fi

  #
  # Put the IR in replace mode for the new irpopulate
  #
  IR=`wlookup InterfaceRepository`
  idlattr -t -s $IR replace_mode boolean TRUE

  # remove Tivoli binaries

  if [ "$INTERP" = "w32-ix86" ] ; then
    rm -f $BINDIR/TMF/TIPN/nvinv_core.exe
    rm -f $BINDIR/TMF/TIPN/nvinv_query.exe
    rm -f $BINDIR/TMF/TIPN/nvinv_ui.exe
    rm -f $BINDIR/TMF/TIPN/nvinv_create_queries.sh
    rm -f $BINDIR/TMF/TIPN/nvinv_syb_schema.sql
    rm -f $BINDIR/TMF/TIPN/nvinv_ms_sql_schema.sql
    rm -f $BINDIR/TMF/TIPN/nvinv_ora_schema.sql
    rm -f $BINDIR/TMF/TIPN/nvinv_db2_schema.sql
	rm -f $BINDIR/TMF/TIPN/nvbo_prog1.exe
  else
    rm -f $BINDIR/TMF/TIPN/nvinv_core
    rm -f $BINDIR/TMF/TIPN/nvinv_query
    rm -f $BINDIR/TMF/TIPN/nvinv_ui
    rm -f $BINDIR/TMF/TIPN/nvinv_create_queries.sh
    rm -f $BINDIR/TMF/TIPN/nvinv_syb_schema.sql
    rm -f $BINDIR/TMF/TIPN/nvinv_ms_sql_schema.sql
    rm -f $BINDIR/TMF/TIPN/nvinv_ora_schema.sql
    rm -f $BINDIR/TMF/TIPN/nvinv_db2_schema.sql
	rm -f $BINDIR/TMF/TIPN/nvbo_prog1
	if [ "$INTERP" = "solaris2" ] ; then
    		rm -f $BINDIR/TMF/TIPN/nvbo_prog1.real
	fi
  fi

  # remove Tivoli libraries

  rm -f $BINDIR/../../lib/$INTERP/libnvbo.a
  rm -f $BINDIR/../../lib/$INTERP/libnvinv.a
  rm -f $BINDIR/../../lib/$INTERP/libnvinv_imp.a

  wchkdb -u  
  odadmin reexec all
  
fi

